<?
require_once('include/global.php');
require_once('include/diary_lib.php');
require_once('sadmin_conf.inc.php');

// check
	if (!$_POST['di_subject'] || !$_POST['di_content'] || !$_POST['di_startdate'] || !$_POST['di_enddate'] || !$G_SYS['DI_REPEAT'][$_POST['di_repeat']])
		msg('올바른 URL로 접근하여 주십시오');

	//
	if ($_POST['di_content'] && ! in_array($_POST['di_content'], array('기념일', '공휴일'))) {
		msg('올바른 URL로 접근하여 주십시오');
	}

// data
	$_POST['di_starttime'] = 'NULL';
	$_POST['di_endtime'] = 'NULL';
	$_POST['di_regdate'] = date('Y-m-d H:i:s');

	$_POST['di_subject'] = to_db_str($_POST['di_subject'], 255);

	$sql = "
		INSERT INTO
			" .	$TB['DIARY']	. "
			( di_no , m_no , di_kind , di_subject , di_startdate , di_starttime , di_enddate , di_endtime , di_isallday , di_repeat , di_content , di_regdate , di_modifydate, d_no, di_no_share ) 
		VALUES
			(" . db_sqc_next($TB['DIARY']) . ", 0, 0, '" . $_POST['di_subject']	. "', '" . $_POST['di_startdate']	. "', NULL, '" . $_POST['di_enddate']	. "', NULL, 'Y', '" . $_POST['di_repeat']	. "', '" . $_POST['di_content'] ."', '" . $_POST['di_regdate']	. "', NULL, NULL, NULL )
		";
	db_query($sql);

// end
	msg("임시 공휴일이 추가되었습니다.", 0);
	movepage('sadmin_holiday_list.php');


require_once('include/global_end.php');
?>